Summary:	System for layout and rendering of internationalized text
Name:		pangopdf
Version:	1.2.3.6
Release:	1
License:	LGPL
Group:		System Environment/Libraries
Url:		http://pangopdf.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2
BuildRequires:	glib2-devel

%description
System for layout and rendering of internationalized text.

%package devel
Summary:	System for layout and rendering of internationalized text
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libunicode-devel
Requires:	fribidi-devel
Requires:	XFree86-devel

%description devel
The pangopdf-devel package includes the static libraries and header files
for the pangopdf package.

Install pangopdf-devel if you want to develop programs which will use
pangopdf.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir} --disable-gtk-doc --disable-pdflib
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/pangopdf/pango.modules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/pangopdf-querymodules > %{_sysconfdir}/pangopdf/pango.modules

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%dir %{_libdir}/pangopdf
%{_libdir}/pangopdf/*.so.*
%{_bindir}/*
%dir %{_libdir}/pangopdf/pango
%dir %{_libdir}/pangopdf/pango/1.2.0
%dir %{_libdir}/pangopdf/pango/1.2.0/modules
%{_libdir}/pangopdf/pango/1.2.0/modules/*.so
%{_datadir}/pangopdf
%config %{_sysconfdir}/pangopdf/pangox.aliases

%files devel
%defattr(-, root, root)
%{_libdir}/pangopdf/*.so
%{_libdir}/pangopdf/*a
%{_libdir}/pangopdf/pango/1.2.0/modules/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/pangopdf/pango-1.0
%{_datadir}/gtk-doc/html/pangopdf

%changelog
* Wed Oct 29 2003 Tim Waugh <twaugh@redhat.com>
- Adapt file manifest.
- Disable pdflib.

* Mon Jul 7 2003 Tony Graham <tonygraham@users.sourceforge.net>
- Changed 'pango' to 'pangopdf'

* Mon Aug 27 2001 Jens Finke <jens@gnome.org>
- glib2 package required
- updated source url

* Wed Aug 16 2001 Jens Finke <jens@gnome.org>
- Updated spec file to match GPP standard:
 - Removed %define for prefix
 - Use License instead of Copyright
 - Added Requires: for glib.
 - Use rpm macros in the %files section
 - added pkgconfig dir to devel package
 - other minor clean ups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
